# Class LinkCellComponent

- Defined in packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts:23

#####
Index

### Constructors

constructor

### Properties

protocol?
short
value

### Accessors

href

##
Constructors

### constructor

- new LinkCellComponent(): LinkCellComponent

  #### Returns LinkCellComponent

##
Properties

### `Optional` protocol

protocol?: "tel" | "mailto"

- Defined in packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts:36

### short

short: boolean = true

- Defined in packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts:39

### value

value: any

- Defined in packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts:26

##
Accessors

### href

- get href(): string

  #### Returns string

  - Defined in packages/angular/material/table-system/src/lib/cells/link-cell/link-cell.component.ts:28